Older PHP Versions on ISPConfig 3.1.5

Discussion in 'ISPConfig 3 Priority Support' started by Quaxth, Jul 18, 2017.

  1. Quaxth

    Quaxth Member HowtoForge Supporter

    Older PHP Versions on ISPConfig 3.1.5

    As I started to install some scripts, I came around that several of them are need PHP 5.3 and I use 5.6 and 7.1 already.

    The question for me is now: If I like to add PHP 5.3 to my server, could I use the same commands as for PHP 7.1? And, are there some special commands etc., I need to be aware of?

    Thanks for information and help.
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

  3. Quaxth

    Quaxth Member HowtoForge Supporter

    Thanks, Till, will take a close look at that and may have to ask again if something isn't understood.
     
  4. Quaxth

    Quaxth Member HowtoForge Supporter

    OK, I was start reading and came around:
    [​IMG]

    I used that Port 8999 as I added PHP 7.1! Should I use a different port (I think I should)? and are there others what I need to be aware of?

    Thanks.
     
  5. Quaxth

    Quaxth Member HowtoForge Supporter

    Also, what's about IonCube Loader? That is already installed on my server. Do I need to change something or add anything etc.?
    Thanks.
     
  6. Quaxth

    Quaxth Member HowtoForge Supporter

    Read further and YES, I need to use a different port for any single different PHP Version I add!
    What's about that APC stuff? I didn't use APC UPS at all, I've different UPS which isn't supported. Do I use that command anyway?

    Thanks.
     
  7. till

    till Super Moderator Staff Member ISPConfig Developer

    yes

    APC = Advanced PHP Cache
     
  8. Quaxth

    Quaxth Member HowtoForge Supporter

    OOPS! Thanks till for to clear that!

    Anything else I need to aware of?

    Thanks a lot for your help.
     
  9. Quaxth

    Quaxth Member HowtoForge Supporter

    Just to ask again about the IonCube Loader: do I need those commands as well? Thanks.
     
  10. till

    till Super Moderator Staff Member ISPConfig Developer

    If you use ioncube encoded files in your websites, then yes. Othewise: no.
     
  11. Quaxth

    Quaxth Member HowtoForge Supporter

    Thanks Till!

    That means I need to use that commands as well, because at least Softaculous uses IonCube Loader, and some scripts as well.

    Will do that adding tomorrow morning, now it's bedtime for me 23:00H!

    Good night.
     
  12. Quaxth

    Quaxth Member HowtoForge Supporter

    OK, started the setup and get at the first set of commands directly a error"
    Code:
    root@server1:/home/reimar# mkdir /opt/php-5.3.22
    root@server1:/home/reimar# mkdir /usr/local/src/php5-build
    root@server1:/home/reimar# cd /usr/local/src/php5-build
    root@server1:/usr/local/src/php5-build# wget http://de.php.net/get/php-5.3.22.tar.bz2/from/this/mirror -O php-5.3.22.tar.bz2
    --2017-07-19 15:31:10--  http://de.php.net/get/php-5.3.22.tar.bz2/from/this/mirror
    Resolving de.php.net (de.php.net)... 212.124.37.9, 82.100.240.32
    Connecting to de.php.net (de.php.net)|212.124.37.9|:80... connected.
    HTTP request sent, awaiting response... 404 Not Found
    2017-07-19 15:31:12 ERROR 404: Not Found.
    
    root@server1:/usr/local/src/php5-build# tar jxf php-5.3.22.tar.bz2
    
    Any idea? Thanks.
     
  13. Quaxth

    Quaxth Member HowtoForge Supporter

    Last edited: Jul 19, 2017
  14. till

    till Super Moderator Staff Member ISPConfig Developer

    Yes, the download URL has been changed, use the new URL that you found already.
     
  15. Quaxth

    Quaxth Member HowtoForge Supporter

    OK, fine, thank you.

    Should I use the 5.3.22 or better that latest, and for sure, change the related Settings in the scripts as well?

    Thanks.
     
  16. Quaxth

    Quaxth Member HowtoForge Supporter

  17. Quaxth

    Quaxth Member HowtoForge Supporter

    Ended up with several errors, include not found files and so on, so I removed all downloads etc. for PHP 5.3.22 already.
    Done for this moment, maybe try sometimes later again, but now.

    Thanks for help.
     

Share This Page